Subject: Re: [PATCH net-next v6 5/8] net: phy: Immediately call adjust_link if only tx_lpi_enabled changes

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 26 Feb 2024 17:53:31 +0000

On Mon, Feb 26, 2024 at 09:50:02AM -0800, Florian Fainelli wrote:
> This is the source of the concern, we don't know which MAC drivers we might
> end-up breaking by calling adjust_link(link == 1) twice in a row, hopefully
> none, because they should be well written to only update the parameters that
> need updating, but who knows?

Just quickly... There are some (I went through a bunch.) They don't
support EEE. I haven't been through all though, so there could be
some which support EEE and where adjust_link() with phydev->link=true
twice in a row could result in badness.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!